package com.iamberry.wechat.core.entity.channel;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;

/**
 *  上朵分销返利记录类
 * @author xm
 * @Date 2018-07-24
 */
public class ChannelRebate  implements  Serializable{
    private static final long serialVersionUID = 342783384636300168L;

    //返利id
    private Integer rebateId;
    //订单号
    private String rebateSalesOrderId;
    //订单项
    private Integer rebateItemId;
    //订单人
    private String rebackFromOpenId;
    //返利渠道类型 1:主渠道 2:子渠道
    private Integer rebackChannelType;
    //返利渠道 渠道id-返利到该渠道
    private Integer rebackChannelId;
    //返利金额
    private Integer rebackAmount;
    //返利状态 1:待返利 2:已返利入账 3:已取消
    private Integer rebackStatus;

    //返利时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date rebackTime;

    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date rebackCreateTime;
    //修改时间'
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date rebackUpdateTime;

    private String salesOrderid;//订单编号/ID
    private Integer salesAmount;//订单总额
    private Integer salesYetAmount;//支付金额
    private Date salesTransactionDate;//支付日期
    private String colorName;//产品颜色
    private Integer itemNum;//产品数量
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date stateDate;//开始时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date endDate;//结束时间

    private Integer salesTransportationType;	//订单运输类型  1:邮寄  2:自提
    private String salesAddressTel;				//收件人电话
    private String salesAddressName;				//收件人姓名

    private String[] rebates;//返利id集合

    public Integer getRebateId(){
        return rebateId;
    }

    public void setRebateId(Integer  rebateId){
        this.rebateId=rebateId;
    }

    public String getRebateSalesOrderId(){
        return rebateSalesOrderId;
    }

    public void setRebateSalesOrderId(String  rebateSalesOrderId){
        this.rebateSalesOrderId=rebateSalesOrderId;
    }

    public String getRebackFromOpenId(){
        return rebackFromOpenId;
    }

    public void setRebackFromOpenId(String  rebackFromOpenId){
        this.rebackFromOpenId=rebackFromOpenId;
    }

    public Integer getRebackChannelType(){
        return rebackChannelType;
    }

    public void setRebackChannelType(Integer  rebackChannelType){
        this.rebackChannelType=rebackChannelType;
    }

    public Integer getRebackChannelId(){
        return rebackChannelId;
    }

    public void setRebackChannelId(Integer  rebackChannelId){
        this.rebackChannelId=rebackChannelId;
    }

    public Integer getRebackAmount(){
        return rebackAmount;
    }

    public void setRebackAmount(Integer  rebackAmount){
        this.rebackAmount=rebackAmount;
    }

    public Integer getRebackStatus(){
        return rebackStatus;
    }

    public void setRebackStatus(Integer  rebackStatus){
        this.rebackStatus=rebackStatus;
    }

    public Date getRebackTime(){
        return rebackTime;
    }

    public void setRebackTime(Date  rebackTime){
        this.rebackTime=rebackTime;
    }

    public Date getRebackCreateTime(){
        return rebackCreateTime;
    }

    public void setRebackCreateTime(Date  rebackCreateTime){
        this.rebackCreateTime=rebackCreateTime;
    }

    public Date getRebackUpdateTime(){
        return rebackUpdateTime;
    }

    public void setRebackUpdateTime(Date  rebackUpdateTime){
        this.rebackUpdateTime=rebackUpdateTime;
    }

    public String getSalesOrderid() {
        return salesOrderid;
    }

    public void setSalesOrderid(String salesOrderid) {
        this.salesOrderid = salesOrderid;
    }

    public Integer getSalesAmount() {
        return salesAmount;
    }

    public void setSalesAmount(Integer salesAmount) {
        this.salesAmount = salesAmount;
    }

    public Integer getSalesYetAmount() {
        return salesYetAmount;
    }

    public void setSalesYetAmount(Integer salesYetAmount) {
        this.salesYetAmount = salesYetAmount;
    }

    public Date getSalesTransactionDate() {
        return salesTransactionDate;
    }

    public void setSalesTransactionDate(Date salesTransactionDate) {
        this.salesTransactionDate = salesTransactionDate;
    }

    public String getColorName() {
        return colorName;
    }

    public void setColorName(String colorName) {
        this.colorName = colorName;
    }

    public Integer getItemNum() {
        return itemNum;
    }

    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }

    public Integer getRebateItemId() {
        return rebateItemId;
    }

    public void setRebateItemId(Integer rebateItemId) {
        this.rebateItemId = rebateItemId;
    }

    public Date getStateDate() {
        return stateDate;
    }

    public void setStateDate(Date stateDate) {
        this.stateDate = stateDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String[] getRebates() {
        return rebates;
    }

    public void setRebates(String[] rebates) {
        this.rebates = rebates;
    }

    public String getSalesAddressTel() {
        return salesAddressTel;
    }

    public void setSalesAddressTel(String salesAddressTel) {
        this.salesAddressTel = salesAddressTel;
    }

    public String getSalesAddressName() {
        return salesAddressName;
    }

    public void setSalesAddressName(String salesAddressName) {
        this.salesAddressName = salesAddressName;
    }

    public Integer getSalesTransportationType() {
        return salesTransportationType;
    }

    public void setSalesTransportationType(Integer salesTransportationType) {
        this.salesTransportationType = salesTransportationType;
    }
}
